<div *ngIf="preApprovalDetail && (preApprovalRequests.length > 0 || billPaymentRequests.length > 0)">
  <hr>
  <span class="badge badge-primary">Supporter and Approver's Detail</span>
  <p-accordion>
    <p-accordionTab header="Pre Approval" *ngIf="preApprovalRequests.length > 0">
      <!--          need to make this as component-->
      <div class="row card-group">
        <div class="col-3" *ngFor="let detail of preApprovalRequests">
          <div class="jumbotron ">
            <h1>{{ detail.userMiniResources.fullName }}</h1>
            <hr>
            <p>{{ detail.userMiniResources.designation }}</p>
            <p>{{ detail.userMiniResources.branchName }}</p>
            <p> Requested For:: {{ detail.requestedFor }}</p>
            <p>Status:: {{detail.status}}</p>
            <div *ngIf="preApprovalDetail.recentPreApprovalStatus === 'REQUESTED'
            || preApprovalDetail.recentPreApprovalStatus === 'SUPPORTED'">
              <button class="btn btn-success btn-xs"
                      disabled="disabled"
                      *ngIf="detail.requestedFor === 'CREATE'">
                Requested By
              </button>
              <button class="btn btn-success btn-xs btn-block"
                      *ngIf="detail.requestedFor !== 'CREATE'"
                      [hidden]="!isValidUser(detail.userMiniResources.userId) || detail.status !== 'REQUESTED'"
                      (click)="takeAction(detail.requestedFor)">
                {{ detail.requestedFor }}
              </button>
              <button class="btn btn-warning btn-xs btn-block"
                      *ngIf="detail.requestedFor !== 'CREATE'"
                      [hidden]="!isValidUser(detail.userMiniResources.userId) || detail.status !== 'REQUESTED'"
                      (click)="takeAction('RETURN')">
                Return
              </button>
              <button class="btn btn-danger btn-xs btn-block"
                      *ngIf="detail.requestedFor !== 'CREATE'"
                      [hidden]="!isValidUser(detail.userMiniResources.userId)
                    || detail.status !== 'REQUESTED'"
                      (click)="takeAction('REJECT')">
                Reject
              </button>
              <button class="btn btn-success btn-xs btn-block"
                      *ngIf="detail.requestedFor === 'APPROVE'"
                      [hidden]="!isValidUser(detail.userMiniResources.userId)"
                      (click)="takeAction('FORWARD')">
                Forward
              </button>
            </div>

          </div>
        </div>
      </div>
    </p-accordionTab>
    <p-accordionTab header="Bill Payment" *ngIf="type === 'BILL_PAYMENT' && billPaymentRequests.length > 0">
      <div class="row card-group">
        <div class="col-3" *ngFor="let detail of billPaymentRequests">
          <div class="jumbotron ">
            <h1>{{ detail.userMiniResources.fullName }}</h1>
            <p>{{ detail.userMiniResources.designation }}</p>
            <p>{{ detail.userMiniResources.branchName }}</p>
            <p>Status:: {{detail.status}}</p>
            <p> Requested For:: {{ detail.requestedFor }}</p>
            <div *ngIf="preApprovalDetail.recentBillPaymentStatus === 'REQUESTED'
            || preApprovalDetail.recentBillPaymentStatus === 'SUPPORTED'">
              <button class="btn btn-success btn-xs btn-block"
                      disabled="disabled"
                      *ngIf="detail.requestedFor === 'CREATE'">
                Requested By
              </button>
              <button class="btn btn-success btn-xs btn-block"
                      *ngIf="detail.requestedFor !== 'CREATE'"
                      [hidden]="!isValidUser(detail.userMiniResources.userId) || detail.status !== 'REQUESTED'"
                      (click)="takeAction(detail.requestedFor)">
                {{ detail.requestedFor }}
              </button>
              <button class="btn btn-warning btn-xs btn-block"
                      *ngIf="detail.requestedFor !== 'CREATE'"
                      [hidden]="!isValidUser(detail.userMiniResources.userId) || detail.status !== 'REQUESTED'"
                      (click)="takeAction('RETURN')">
                Return
              </button>
              <button class="btn btn-danger btn-xs btn-block"
                      *ngIf="detail.requestedFor !== 'CREATE'"
                      [hidden]="!isValidUser(detail.userMiniResources.userId)
                    || detail.status !== 'REQUESTED'"
                      (click)="takeAction('REJECT')">
                Reject
              </button>
              <button class="btn btn-success btn-xs btn-block"
                      *ngIf="detail.requestedFor === 'APPROVE'"
                      [hidden]="!isValidUser(detail.userMiniResources.userId)"
                      (click)="takeAction('FORWARD')">
                Forward
              </button>
            </div>
          </div>
        </div>
      </div>
    </p-accordionTab>
  </p-accordion>

  <p-dialog [(visible)]="display" [style]="{width: '490px', height: 'auto'}">
    <p-header>
      Confirmation Page, Do you want to {{ performedAction }} ?
    </p-header>
    <form [formGroup]="approveSupportConfirmForm" (ngSubmit)="onSubmit()">
      <div class="form-group" *ngIf="performedAction === 'FORWARD'">
        <label for="approver">Select Approver<span class="required">*</span></label><br>
        <p-autoComplete formControlName="approvers"
                        [ngClass]="{ 'is-invalid': submitted && f.approvers.errors }"
                        id="approver"
                        class="ui-fluid"
                        [inputStyle]="{'width':'180px'}"
                        [suggestions]="approver"
                        (completeMethod)="searchApprover($event)"
                        [minLength]="5"
                        field="fullName"
                        [scrollHeight]="200"
                        placeholder="Select approver's name"
                        [multiple]="true">
          <ng-template let-value pTemplate="selectedItem">
            <span style="font-size:18px">{{value.fullName + '( ' + value.designation + ') '}}</span>
          </ng-template>
        </p-autoComplete>
        <div *ngIf="submitted && f.approvers.errors" class="invalid-feedback">
          <div *ngIf="f.approvers.errors.required">Approver is Required.</div>
        </div>
      </div>

      <div class="form-group">
        <label for="comments">Comments</label>
        <textarea class="form-control"
                  rows="3"
                  id="comments"
                  formControlName="comments"
                  [ngClass]="{ 'is-invalid': submitted && f.comments.errors }"
                  required>
              </textarea>
        <div *ngIf="submitted && f.comments.errors" class="invalid-feedback">
          <div *ngIf="f.comments.errors.required">Comment is required</div>
        </div>
        <div *ngIf="submitted && f.comments.errors" class="invalid-feedback">
          <div *ngIf="f.comments.errors.minLength">Please enter minimum 4 characters</div>
        </div>
      </div>
      <p-footer>
        <div class="row">
          <div class="col-sm-6">
            <button class="btn btn-success btn-block"
                    type="button"
                    [disabled]="loading"
                    type="submit">
              <span *ngIf="loading" class="spinner-border spinner-border-sm mr-1"></span>
              Submit
            </button>
          </div>
          <div class="col-sm-6">
            <button class="btn btn-danger btn-block" (click)="display=false">
              Cancel
            </button>
          </div>
        </div>
      </p-footer>
    </form>
  </p-dialog>
</div>

